net.i2p.internal

## Class QueuedI2CPMessageReader

- java.lang.Object
- - net.i2p.data.i2cp.I2CPMessageReader
  - - net.i2p.internal.QueuedI2CPMessageReader

-     public class QueuedI2CPMessageReader
      extends I2CPMessageReader

  Get messages off an In-JVM queue, zero-copy.
  Since:
    0.8.3
  Author:
    zzz

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected class` | `QueuedI2CPMessageReader.QueuedI2CPMessageReaderRunner`

    - ### Nested classes/interfaces inherited from class net.i2p.data.i2cp.I2CPMessageReader

      `I2CPMessageReader.I2CPMessageEventListener, I2CPMessageReader.I2CPMessageReaderRunner`

  - ### Field Summary

    - ### Fields inherited from class net.i2p.data.i2cp.I2CPMessageReader

      `__readerId, _listener, _reader, _readerThread`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueuedI2CPMessageReader(I2CPMessageQueue in, I2CPMessageReader.I2CPMessageEventListener lsnr)` Creates a new instance of this QueuedMessageReader and spawns a pumper thread.

  - ### Method Summary

    - ### Methods inherited from class net.i2p.data.i2cp.I2CPMessageReader

      `getListener, pauseReading, resumeReading, setListener, startReading, stopReading`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueuedI2CPMessageReader

          public QueuedI2CPMessageReader(I2CPMessageQueue in,
                                 I2CPMessageReader.I2CPMessageEventListener lsnr)

      Creates a new instance of this QueuedMessageReader and spawns a pumper thread.